org.icefaces.ace.component.notificationpanel

## Class NotificationPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.notificationpanel.NotificationPanelRenderer

-     public class NotificationPanelRenderer
      extends CoreRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationPanelRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected void` | `encodeMarkup(javax.faces.context.FacesContext facesContext, NotificationPanel bar)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeBegin, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationPanelRenderer

          public NotificationPanelRenderer()

  - ### Method Detail

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeMarkup

          protected void encodeMarkup(javax.faces.context.FacesContext facesContext,
                                      NotificationPanel bar)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.